#ifndef DBTHREAD_H
#define DBTHREAD_H

#include <QThread>
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QStringList>
#include <QDateTime>

class DBThread : public QThread
{
    Q_OBJECT
public:
    explicit DBThread(QObject *parent = 0,
            QSqlDatabase *db=0, QSqlDatabase *db3=0);
    void appendSQL(quint8 sqlid, QString sql);
    void run();

signals:
    void dbg_log(QString txt);
    void log(QString txt);
public slots:

private:
    QSqlDatabase *Db,*Db3;
    QStringList sqlList, sqlList3;
};

#endif // DBTHREAD_H
